From c17fa56377bcccdb796d2cdc9f539431999e585e Mon Sep 17 00:00:00 2001
From: rswindell <>
Date: Thu, 1 Sep 2011 07:05:14 +0000
Subject: [PATCH] Gentoo Linux startup script submitted by access_d (axisd).

---
 install/init.d/sbbs.gentoo | 45 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 45 insertions(+)
 create mode 100644 install/init.d/sbbs.gentoo

diff --git a/install/init.d/sbbs.gentoo b/install/init.d/sbbs.gentoo
new file mode 100644
index 0000000000..99845b5f7a
--- /dev/null
+++ b/install/init.d/sbbs.gentoo
@@ -0,0 +1,45 @@
+#!/sbin/runscript
+
+# Gentoo Linux system service run script (init file) for Synchronet
+#
+# This file normally goes in your /etc/init.d directory
+#
+# $Id$
+
+########################################
+# Synchronet BBS Gentoo startup script #
+########################################
+# by access_d <axisd> Aug-31-2011
+
+# You can edit these vars to meet your system configuration
+
+SBBSDIR=/sbbs
+export SBBSCTRL=$SBBSDIR/ctrl
+
+PROG="$SBBSDIR/exec/sbbs"
+PIDFILE="/var/run/sbbs.pid"
+
+opts="${opts} restart"
+
+depend() {
+	need localmount
+	after bootmisc
+}
+
+start() {	
+	ebegin "Starting SBBS services"
+	start-stop-daemon --start --exec $PROG d --pidfile $PIDFILE
+	eend $?
+}
+
+stop() {
+	ebegin "Stopping SBBS services"
+	start-stop-daemon --stop --exec $PROG --pidfile $PIDFILE
+	eend $?
+}
+
+restart() {
+	stop
+	sleep 3
+	start
+}
-- 
GitLab